(define-module (glicid packages fabric-management)
  #:use-module (guix download)
  #:use-module (guix packages)
  #:use-module ((gnu packages fabric-management) #:prefix gnu:) 
)

(define-public ucx-newer-1.11.2
  (package
    (inherit gnu:ucx)
    (name (string-append (package-name gnu:ucx) "-newer" ))
    (version "1.11.2")
    (source 
      (origin
        (method url-fetch)
        (uri (string-append "https://github.com/openucx/ucx/releases/download/v" version "/ucx-" version ".tar.gz" ))
        (sha256 (base32 "1py62vjr0hgyqsdpr04jhn918i8ccn6ghjalwpcjpz24admgisyy"))
      )
    )
  )
)

(define-public ucx-newer-1.11.2
  (package
    (inherit gnu:ucx)
    (name (string-append (package-name gnu:ucx) "-newer" ))
    (version "1.11.2")
    (source 
      (origin
        (method url-fetch)
        (uri (string-append "https://github.com/openucx/ucx/releases/download/v" version "/ucx-" version ".tar.gz" ))
        (sha256 (base32 "1py62vjr0hgyqsdpr04jhn918i8ccn6ghjalwpcjpz24admgisyy"))
      )
    )
  )
)

(define-public ucx-newer-1.12.0
  (package
    (inherit gnu:ucx)
    (name (string-append (package-name gnu:ucx) "-newer" ))
    (version "1.12.0")
    (source 
      (origin
        (method url-fetch)
        (uri (string-append "https://github.com/openucx/ucx/releases/download/v" version "/ucx-" version ".tar.gz" ))
        (sha256 (base32 "1djxsakwjwnw21hhzsr02w6h2jd2k16bm4pah4iz6k8s5pg99sck"))
      )
    )
  )
)

(define local-ucx ucx-newer-1.12.0)
(define-public ucx-latest local-ucx)
